<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Player;
use App\Models\ProductDailyWinTime;
use App\Models\ProductInPromo;
use App\Models\SendSmsCmr;
use Carbon\Carbon;
use Illuminate\Http\Request;

class PrizingTaskController extends Controller
{
    public function checkIfWinner() {

        $currentTime = Carbon::now();
        $currentTimeStamps = $currentTime->timestamp;

        $productDailiWinTime = ProductDailyWinTime::where('winner_time', '<', $currentTimeStamps)
            ->where('isWon', false)
            ->orderBy('id', 'asc')
            ->first()
            ;

        if(!($productDailiWinTime instanceof ProductDailyWinTime)) {
            return response()->json([
                'iswinner' => 0,
                'pos' => 0
            ]);
        }

        $randWinnerFind = rand(0, 10);

        if($randWinnerFind % 3 != 0)  {
            return response()->json([
                'iswinner' => 0,
                'pos' => 1
            ]);
        }

        $product = ProductInPromo::find($productDailiWinTime->product_id);

        return response()->json([
            'iswinner' => 1,
            'posIndex' => $product->indexPos,
            'product_name' => $product->product_name,
            'winningid' => $productDailiWinTime->id,
            'product_id' => $product->id
        ]);
    }


    public function saveWinner(Request $request) {
        $lastPLayer = Player::orderBy('id', 'desc')
            ->first();

        if(!($lastPLayer instanceof Player)) {
            return response()->json([
                'isDone' => 0
            ]);
        }

        $currentTime = Carbon::now();
        $currentTimeStamps = $currentTime->timestamp;

        $prouctWinning = ProductDailyWinTime::where('winner_time', '<', $currentTimeStamps)
            ->where('isWon', false)
            ->orderBy('id', 'asc')
            ->first()
        ;

        if(!($prouctWinning instanceof ProductDailyWinTime)) {
            return response()->json([
                'isDone' => 0
            ]);
        }

        $prouctWinning->isWon = true;
        $prouctWinning->player_id = $lastPLayer->id;
        $prouctWinning->save();


        $productInPromo = ProductInPromo::find($prouctWinning->product_id);
        $message = "Felicitation Mr/Mme ". $lastPLayer->prenom . " Vous venez de gagner un(e) ".$productInPromo->product_name. " #Ref: ".$prouctWinning->id;

       $this->SendSms($lastPLayer, $message);


        return response()->json([
            'isDone' => 1
        ]);
    }


    private function SendSms(string $cellphone, string $message) {

        $smsSendCmr = new SendSmsCmr;
        $smsSendCmr->phonenumber = $cellphone;
        $smsSendCmr->message = $message;
        $smsSendCmr->save();
        return true;
    }

    public function sendTombolaNum() {
        $lastPLayer = Player::orderBy('id', 'desc')
            ->first();

        if(!($lastPLayer instanceof Player)) {
            return response()->json([
                'isDone' => 0
            ]);
        }

        $message = "Mr/Mme ". $lastPLayer->prenom . " Votre numero de tombola est ". $lastPLayer->tombola_num .". Bien vouloir le conserver et le présenter si vous etes l'heureux gagnant";
        $this->SendSms($lastPLayer->telephone, $message);

        return response()->json([
            "isOK"=> 1
        ]);
    }
}
