<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class ProductDailyWinTime
 *
 * @package App\Models
 * @version September 27, 2021, 5:28 pm WAT
 * @property integer $product_id
 * @property integer $winner_time
 * @property boolean $isWon
 * @property integer $player_id
 * @property int $id
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Database\Factories\ProductDailyWinTimeFactory factory(...$parameters)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime newQuery()
 * @method static \Illuminate\Database\Query\Builder|ProductDailyWinTime onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime query()
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereIsWon($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime wherePlayerId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereProductId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|ProductDailyWinTime whereWinnerTime($value)
 * @method static \Illuminate\Database\Query\Builder|ProductDailyWinTime withTrashed()
 * @method static \Illuminate\Database\Query\Builder|ProductDailyWinTime withoutTrashed()
 * @mixin Model
 */
class ProductDailyWinTime extends Model
{

    use HasFactory;

    public $table = 'products_daily_wintime';

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';





    public $fillable = [
        'product_id',
        'winner_time',
        'isWon',
        'player_id'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'product_id' => 'integer',
        'winner_time' => 'integer',
        'isWon' => 'boolean',
        'player_id' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'created_at' => 'nullable',
        'updated_at' => 'nullable',
        'product_id' => 'required',
        'winner_time' => 'required',
        'isWon' => 'required|boolean',
        'player_id' => 'nullable'
    ];


}
